summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Nikolay Korotkiy2013-02-11 09:17:43 +0100
committer Erik Hanson2013-02-14 07:26:55 +0100
commit0eaac47bb7aa18487616d69877276f8a2960a262 (patch)
tree23be41d431f8ff616a2fd1477c0c2c6760b85b0a /system
parent31d079c9b37bf0feb771f6654e13c65a3dc40e0f (diff)
downloadslackbuilds-0eaac47bb7aa18487616d69877276f8a2960a262.tar.gz
system/cassandra-gui: Added (Cassandra GUI Project)
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/cassandra-gui/README12
-rw-r--r--system/cassandra-gui/cassandra-gui.SlackBuild73
-rw-r--r--system/cassandra-gui/cassandra-gui.desktop7
-rw-r--r--system/cassandra-gui/cassandra-gui.info10
-rw-r--r--system/cassandra-gui/doinst.sh3
-rw-r--r--system/cassandra-gui/slack-desc19
6 files changed, 124 insertions, 0 deletions
diff --git a/system/cassandra-gui/README b/system/cassandra-gui/README
new file mode 100644
index 0000000000..70b96323c9
--- /dev/null
+++ b/system/cassandra-gui/README
@@ -0,0 +1,12 @@
+Cassandra GUI is cassandra Graphical User Interface.
+
+Project description
+-------------------
+
+Cassandra is the open source Cassandra GUI application for graphical display.
+
+For more information see http://code.google.com/p/cassandra-gui/
+
+Requirements
+------------
+ * Java >= 1.6 (OpenJDK and Oracle have been tested)
diff --git a/system/cassandra-gui/cassandra-gui.SlackBuild b/system/cassandra-gui/cassandra-gui.SlackBuild
new file mode 100644
index 0000000000..f6e3b3d322
--- /dev/null
+++ b/system/cassandra-gui/cassandra-gui.SlackBuild
@@ -0,0 +1,73 @@
+#!/bin/sh
+
+# Slackware build script for cassandra-gui
+
+# Copyright 2013, Nikolay Korotkiy <sikmir@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=cassandra-gui
+VERSION=${VERSION:-0.7.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+unzip -o $CWD/$PRGNAM-$VERSION.zip
+
+cat > $TMP/$PRGNAM-$VERSION/$PRGNAM << EOF
+#!/bin/bash
+java -jar /opt/$PRGNAM/$PRGNAM.jar
+EOF
+chmod 755 $TMP/$PRGNAM-$VERSION/$PRGNAM
+
+mkdir -p $PKG/opt/$PRGNAM
+cp $TMP/$PRGNAM-$VERSION/$PRGNAM.jar $PKG/opt/$PRGNAM/$PRGNAM.jar
+mkdir -p $PKG/usr/bin
+cp $TMP/$PRGNAM-$VERSION/$PRGNAM $PKG/usr/bin
+
+mkdir -p $PKG/usr/share/applications
+cp -a $CWD/$PRGNAM.desktop $PKG/usr/share/applications
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $PRGNAM-$VERSION/LICENSE.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/cassandra-gui/cassandra-gui.desktop b/system/cassandra-gui/cassandra-gui.desktop
new file mode 100644
index 0000000000..b4a20ac9d1
--- /dev/null
+++ b/system/cassandra-gui/cassandra-gui.desktop
@@ -0,0 +1,7 @@
+[Desktop Entry]
+Encoding=UTF-8
+Exec=cassandra-gui
+Name=cassandra-gui
+GenericName=Cassandra GUI
+StartupNotify=true
+Type=Application
diff --git a/system/cassandra-gui/cassandra-gui.info b/system/cassandra-gui/cassandra-gui.info
new file mode 100644
index 0000000000..fffdba95ed
--- /dev/null
+++ b/system/cassandra-gui/cassandra-gui.info
@@ -0,0 +1,10 @@
+PRGNAM="cassandra-gui"
+VERSION="0.7.1"
+HOMEPAGE="http://code.google.com/a/apache-extras.org/p/cassandra-gui/"
+DOWNLOAD="http://cassandra-gui.apache-extras.org.codespot.com/files/cassandra-gui-0.7.1.zip"
+MD5SUM="f6285f8930b529e0f5189b52b51fe258"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="jdk"
+MAINTAINER="Nikolay Korotkiy"
+EMAIL="sikmir@gmail.com"
diff --git a/system/cassandra-gui/doinst.sh b/system/cassandra-gui/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/system/cassandra-gui/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/system/cassandra-gui/slack-desc b/system/cassandra-gui/slack-desc
new file mode 100644
index 0000000000..1bddb3d621
--- /dev/null
+++ b/system/cassandra-gui/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+cassandra-gui: cassandra-gui (Cassandra GUI Project)
+cassandra-gui:
+cassandra-gui: GUI admin tool for Cassandra DB. It written in Java and
+cassandra-gui: licensed under the Apache License 2.0.
+cassandra-gui:
+cassandra-gui:
+cassandra-gui:
+cassandra-gui:
+cassandra-gui:
+cassandra-gui: Homepage: http://code.google.com/p/cassandra-gui
+cassandra-gui: